#
# 8-bit flash on CE1, byte #0
#

# Interface controller base address
#
set ctrlr_base $emif_base

# Interface type
#
set iftype 0

# External mem. interface width (0 - 8 bit, 1 - 16, 2 - 32)
set xbus_width 2

# base address in the address space of the CPU is...
#
if { [string equal $cpu_type "TMS320C5500"] } {
  set flash_base  0x200000
}
if { [string equal $cpu_type "TMS320C6410"] ||
     [string equal $cpu_type "TMS320C6710"] } {
  set flash_base  0x90000000
}

# shift value for data bus
# i.e. if FLASH's D0..Dn are conencted to CPU's D8..Dn+8 shift value is 8
#
set flash_data_shift 0

# IC's (not CPU) data bus width (0 - 8 bits; 1 - 16 bits; 2 - 32 bits)
#
set dbus_width 2

# Interface init script
#
set iface_init_script dbus_init.tcl
